Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.info
Interface MetaInfo

All Known Implementing Classes:
  ContainerMetaInfo

    public interface MetaInfo

Portlet metadata (display-name, title, short title, keywords).

Since:
  2.4
Version:
  $Revision: 6818 $
Author:
  Julien Viet

Field Summary
`static java.lang.String` | `DESCRIPTION` Key for description.
`static java.lang.String` | `DISPLAY_NAME` Key for display name.
`static java.lang.String` | `KEYWORDS` Key for locale specific keywords associated with this portlet.
`static java.lang.String` | `SHORT_TITLE` Key for short title.
`static java.lang.String` | `TITLE` Key for title.

Method Summary
`org.jboss.portal.common.i18n.LocalizedString` | `getMetaValue(java.lang.String key)` Return the meta value of the portlet for a specific key.

Field Detail

### DISPLAY_NAME

    static final java.lang.String DISPLAY_NAME

  Key for display name.

  See Also:
    Constant Field Values

### TITLE

    static final java.lang.String TITLE

  Key for title.

  See Also:
    Constant Field Values

### SHORT_TITLE

    static final java.lang.String SHORT_TITLE

  Key for short title.

  See Also:
    Constant Field Values

### KEYWORDS

    static final java.lang.String KEYWORDS

  Key for locale specific keywords associated with this portlet. The keywords are separated by commas.

  See Also:
    Constant Field Values

### DESCRIPTION

    static final java.lang.String DESCRIPTION

  Key for description.

  See Also:
    Constant Field Values

Method Detail

### getMetaValue

    org.jboss.portal.common.i18n.LocalizedString getMetaValue(java.lang.String key)

  Return the meta value of the portlet for a specific key.

  Parameters:
    `key` - the key
  Returns:
    an internationalized value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.